uses dos,lacrt;

Function Existuje_Floppy_mechanika(disk:byte):boolean;
{Zjisti, zda je zapojena disketova mechanika 0 nebo 1}
var r:registers;
begin
if disk>1 then Existuje_Floppy_mechanika:=false
   else begin
   r.ah:=$15;
   r.dl:=disk;
   Intr($13,r);
   Existuje_Floppy_mechanika:=not(odd(r.flags)) and (r.ah in [1,2]);
   end;
end;

var s,t:string;
    a:byte;

begin


writeln(logdisk);
writeln(logdiskplus);

writeln('Fantomova jednotka je: ',Get_Fantom_Drive);

writeln('jednotka 0: ',Zjisti_typ_disketovky(0));
writeln('jednotka 1: ',Zjisti_typ_disketovky(1));


(*
s:=logdisk;
for a:=1 to length(s) do writeln(s[a],': ',get_his_fantom(s[a]));

writeln(mem[$0050:4]);

writeln(Existuje_Floppy_mechanika(0));
writeln(Existuje_Floppy_mechanika(1));


writeln(Get_IOCTL_Drive_type('A'),' vymenitelny: ',je_disk_vymenitelny('A'));
writeln(Get_IOCTL_Drive_type('C'),' vymenitelny: ',je_disk_vymenitelny('C'));

writeln('Disk A: ',Get_IOCTL_Fyz_Drive('A'));
writeln('Disk C: ',Get_IOCTL_Fyz_Drive('C'));

writeln('Disk A: ',Get_IOCTL_Media('A'));
*)

readln;
end.
